using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;

namespace StrategicCombat.Maps
{
    /// <summary>
    /// This class represent combatScene 4
    /// </summary>
    public class CombatSceneFour : CombatScene
    {

        #region Constructors

        /// <summary>
        /// Create a new combat scene.
        /// </summary>
        /// <param name="content"></param>
        public CombatSceneFour(ContentManager content)
            : base(content)
        {
            // Load the textures
            this.combatSceneTexture = content.Load<Texture2D>("Maps/CombatSceneFour/broken-rock");
            this.barrierTexture = content.Load<Texture2D>("Maps/CombatSceneFour/roof");

            // Create the barriers list.
            this.barriers = new Rectangle[6];

            this.barriers[0] = new Rectangle(this.combatSceneRectangle.Left + 100, this.combatSceneRectangle.Top + 100, 200, 50);
            this.barriers[1] = new Rectangle(this.combatSceneRectangle.Left + 100, this.combatSceneRectangle.Top + 258, 200, 50);
            this.barriers[2] = new Rectangle(this.combatSceneRectangle.Left + 100, this.combatSceneRectangle.Top + 426, 200, 50);
            this.barriers[3] = new Rectangle(this.combatSceneRectangle.Left + 500, this.combatSceneRectangle.Top + 100, 200, 50);
            this.barriers[4] = new Rectangle(this.combatSceneRectangle.Left + 500, this.combatSceneRectangle.Top + 258, 200, 50);
            this.barriers[5] = new Rectangle(this.combatSceneRectangle.Left + 500, this.combatSceneRectangle.Top + 426, 200, 50);

        }

        #endregion

    } // End of class

} // End of namespace